Skip to content
Get started

Create

POST/uploads

Create a temporary upload URL for a file. Support multipart uploads. Return a list of URLs for each part of the file.

Body ParametersJSONExpand Collapse
assetOptions: optional object { collectionIds, hide, parentId }

Asset extra options. Only available for kinds which produce an asset. (Not available for model kind)

collectionIds: optional array of string

The collection ids to add the asset to.

hide: optional boolean

Specify if the asset should be hidden from the user.

parentId: optional string

The parentId of the asset.

civitaiModelUrl: optional string
contentType: optional string

Required for multipart upload. The MIME type of the file (example: “image/jpeg”)

fileName: optional string

Required for multipart upload. The original file name of the image (example: “low-res-image.jpg”). It will be ignored if assetId is provided.

fileSize: optional number

Required for multipart upload. The size of the file in bytes

huggingFaceModelName: optional string

The huggingface.co modelName (example: “stabilityai/stable-diffusion-xl-base-1.0”). No need to setup other fields if you setup huggingFaceModelName

kind: optional "3d" or "asset" or "audio" or 4 more

Required for multipart upload and url. The purpose of the file once validated (example: “model”)

One of the following:
"3d"
"asset"
"audio"
"avatar"
"image"
"model"
"video"
parts: optional number

Required for multipart upload. The number of parts the file will be uploaded in

maximum10000
minimum1
url: optional string

The url where to download the file. If you setup url you MUST setup kind as well.

ReturnsExpand Collapse
upload: object { id, authorId, createdAt, 18 more }
id: string
authorId: string
createdAt: string
fileName: string
kind: "3d" or "asset" or "audio" or 4 more

The kind of the file once validated (example: “model”)

One of the following:
"3d"
"asset"
"audio"
"avatar"
"image"
"model"
"video"
ownerId: string
source: "civitai" or "huggingface" or "multipart" or 2 more
One of the following:
"civitai"
"huggingface"
"multipart"
"other"
"url"
status: "complete" or "failed" or "imported" or 3 more
One of the following:
"complete"
"failed"
"imported"
"pending"
"validated"
"validating"
updatedAt: string
assetOptions: optional object { collectionIds, hide, parentId }
collectionIds: optional array of string

The collection ids to add the asset to.

hide: optional boolean

Specify if the asset should be hidden from the user.

parentId: optional string

The parentId of the asset.

config: optional unknown
contentType: optional string
entityId: optional string
errorMessage: optional string
fileSize: optional number
jobId: optional string
originalFileName: optional string
parts: optional array of object { expires, number, url }
expires: string
number: number
url: string
partsCount: optional number
provider: optional "civitai" or "huggingface" or "other"
One of the following:
"civitai"
"huggingface"
"other"
url: optional string

Create

curl https://api.cloud.scenario.com/v1/uploads \
    -H 'Content-Type: application/json' \
    -u "$SCENARIO_SDK_API_KEY:SCENARIO_SDK_API_SECRET" \
    -d '{}'
{
  "upload": {
    "id": "id",
    "authorId": "authorId",
    "createdAt": "createdAt",
    "fileName": "fileName",
    "kind": "3d",
    "ownerId": "ownerId",
    "source": "civitai",
    "status": "complete",
    "updatedAt": "updatedAt",
    "assetOptions": {
      "collectionIds": [
        "string"
      ],
      "hide": true,
      "parentId": "parentId"
    },
    "config": {},
    "contentType": "contentType",
    "entityId": "entityId",
    "errorMessage": "errorMessage",
    "fileSize": 0,
    "jobId": "jobId",
    "originalFileName": "originalFileName",
    "parts": [
      {
        "expires": "expires",
        "number": 0,
        "url": "url"
      }
    ],
    "partsCount": 0,
    "provider": "civitai",
    "url": "url"
  }
}
Returns Examples
{
  "upload": {
    "id": "id",
    "authorId": "authorId",
    "createdAt": "createdAt",
    "fileName": "fileName",
    "kind": "3d",
    "ownerId": "ownerId",
    "source": "civitai",
    "status": "complete",
    "updatedAt": "updatedAt",
    "assetOptions": {
      "collectionIds": [
        "string"
      ],
      "hide": true,
      "parentId": "parentId"
    },
    "config": {},
    "contentType": "contentType",
    "entityId": "entityId",
    "errorMessage": "errorMessage",
    "fileSize": 0,
    "jobId": "jobId",
    "originalFileName": "originalFileName",
    "parts": [
      {
        "expires": "expires",
        "number": 0,
        "url": "url"
      }
    ],
    "partsCount": 0,
    "provider": "civitai",
    "url": "url"
  }
}